package com.ruoyi.web.JC.JC.service;

import com.ruoyi.web.JC.JC.entity.JcModel;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;

/**
 * 极创案例(JcModel)表服务接口
 *
 * @author makejava
 * @since 2024-12-18 14:39:15
 */
public interface JcModelService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    JcModel queryById(Integer id);

    /**
     * 分页查询
     *
     * @param jcModel 筛选条件
     * @return 查询结果
     */
   List<JcModel> queryByPage(JcModel jcModel);

    /**
     * 新增数据
     *
     * @param jcModel 实例对象
     * @return 实例对象
     */
    JcModel insert(JcModel jcModel);

    /**
     * 修改数据
     *
     * @param jcModel 实例对象
     * @return 实例对象
     */
    JcModel update(JcModel jcModel);

    /**
     * 通过主键删除数据
     *
     * @param ids 主键
     * @return 是否成功
     */
    void deleteById(List<String> idList );

}
